#!/bin/sh
# PROVIDE: sceo
# REQUIRE: network

. /etc/rc.subr

name="sceo"
rcvar=`set_rcvar`

load_rc_config $name start


#############################################
# Script de controle do servidor MTA Sceo
# ./rc.sceo start    -> Ligar servidor
# ./rc.sceo stop     -> Parar servidor
# ./rc.sceo restart  -> Reiniciar servidor
#
#
#

ligar_sceo() {
  if [ -x /usr/local/sceo ]; then
    echo "Iniciando SCEO:  /usr/local/sceo/sceo"
    /usr/local/sceo/sceo
  fi
}

# Stop bind:
parar_sceo() {
  pid=`cat /var/run/sceo.pid`
  kill $pid
}

case "$1" in
'start')
  ligar_sceo
  ;;
'stop')
  parar_sceo
  ;;
'restart')
  parar_sceo
  sleep 1
  ligar_sceo
  ;;
*)
  echo "Os parametros aceitaveis sao: $0 start|stop|restart"
esac

