-- Table structure for table `aliases`
--
CREATE DATABASE mail;

USE mail;

GRANT ALL PRIVILEGES ON mail.* to sceo@localhost identified by "senha" with grant option;
FLUSH PRIVILEGES;

CREATE TABLE IF NOT EXISTS `aliases` (
  `alias` varchar(255) NOT NULL default '',
  `rcpt` varchar(255) default NULL,
  KEY `alias` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `domain` (
  `name` char(128) NOT NULL default '',
  `quota` char(255) NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `users` (
  `id` int(32) unsigned NOT NULL auto_increment,
  `mail` char(128) NOT NULL,
  `pass` char(128) default NULL,
  `uid` int(10) unsigned default '105',
  `gid` int(10) unsigned default '105',
  `home` char(255) default NULL,
  `maildir` char(255) default NULL,
  `date_add` date default NULL,
  `time_add` time default NULL,
  `domain` char(128) default NULL,
  `name` char(255) default NULL,
  `ok` tinyint(3) unsigned default '1',
  `quota` char(255) default '250000000',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
